# Uses of Class
org.eclipse.mat.snapshot.SnapshotInfo

Packages that use SnapshotInfo
Package
Description
org.eclipse.mat.hprof.extension
Extension point interfaces for HPROF dumps.
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of SnapshotInfo in org.eclipse.mat.hprof.extension

Methods in org.eclipse.mat.hprof.extension with parameters of type SnapshotInfo
Modifier and Type
Method
Description
`void`
IParsingEnhancer.`onParsingCompleted(SnapshotInfo snapshotInfo)`
The method within the process of initially parsing a heap dump, just after the snapshot and SnapshotInfo objects have been created.

## Uses of SnapshotInfo in org.eclipse.mat.inspections

Fields in org.eclipse.mat.inspections declared as SnapshotInfo
Modifier and Type
Field
Description
`SnapshotInfo`
HeapDumpInfoQuery.`info`

## Uses of SnapshotInfo in org.eclipse.mat.parser.model

Subclasses of SnapshotInfo in org.eclipse.mat.parser.model
Modifier and Type
Class
Description
`final class`
`XSnapshotInfo`
Basic information about the snapshot which can be updated as data is read from the dump.

## Uses of SnapshotInfo in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return SnapshotInfo
Modifier and Type
Method
Description
`SnapshotInfo`
ISnapshot.`getSnapshotInfo()`
Get info object describing the snapshot.